program APIFacturadorExsim;
{$APPTYPE GUI}

uses
  Vcl.Forms,
  Web.WebReq,
  IdHTTPWebBrokerBridge,
  FormUnit1 in 'FormUnit1.pas' {fmPrincipal},
  ServerMethodsUnit1 in 'ServerMethodsUnit1.pas',
  WebModuleUnit1 in 'WebModuleUnit1.pas' {WebModule1: TWebModule},
  Vcl.SvcMgr,
  Unit4 in 'Unit4.pas' {API_Facturador_En_Linea_Exsim: TService},
  uDataModule in 'uDataModule.pas' {frmDataModule: TDataModule},
  hasp_unit in 'hasp_unit.pas',
  Estados in 'Estados.pas',
  NuevoCliente in 'NuevoCliente.pas',
  Cliente in 'Cliente.pas',
  Utils in 'Utils.pas',
  NuevaDireccion in 'NuevaDireccion.pas',
  FacturasCli in 'FacturasCli.pas',
  DirCliente in 'DirCliente.pas',
  Sello in 'Sello.pas',
  libeay32 in 'libeay32.pas',
  TimbreFiscal in 'TimbreFiscal.pas',
  cfdv40 in 'cfdv40.pas',
  FacturaEv40 in 'FacturaEv40.pas' {FacturaEFormV40},
  DirsClientes in 'DirsClientes.pas';

{$R *.res}

begin
  if WebRequestHandler <> nil then
    WebRequestHandler.WebModuleClass := WebModuleClass;
  {
  Application.Initialize;
  Application.CreateForm(TService4Unit, Service4Unit);
  Application.CreateForm(TForm1, Form1);
  Application.Run;
  }


   if not Application.DelayInitialize or Application.Installing then
    Application.Initialize;
  Application.CreateForm(TAPI_Facturador_En_Linea_Exsim, API_Facturador_En_Linea_Exsim);
  Application.CreateForm(TfmPrincipal, fmPrincipal);
  Application.CreateForm(TfrmDataModule, frmDataModule);
  Application.CreateForm(TFacturaEFormV40, FacturaEFormV40);
  Application.Run;


end.

